%global module jsmin

Name:           python-%{module}
Version:        3.0.1
Release:        %mkrel 2
Summary:        JavaScript minifier
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/jsmin
Source0:        https://pypi.io/packages/source/j/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
JavaScript minifier.

%package -n python3-%{module}
Summary:        JavaScript minifier
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{module}
JavaScript minifier.

Python 3 version.

%prep
%autosetup -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{module}
%license LICENSE.txt
%doc README.rst CHANGELOG.txt
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 3.0.1-2.mga9
+ Revision: 1823654
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 3.0.1-1.mga9
+ Revision: 1783935
- version 3.0.1
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 2.2.2-6.mga9
+ Revision: 1707428
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.2.2-5.mga8
+ Revision: 1531936
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 2.2.2-4.mga8
+ Revision: 1441379
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 2.2.2-3.mga7
+ Revision: 1351670
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.2.2-2.mga7
+ Revision: 1289156
- Mageia 7 Mass Rebuild

* Sun May 13 2018 daviddavid <daviddavid> 2.2.2-1.mga7
+ Revision: 1228712
- initial package python-jsmin

